| Home | Libraries | People | FAQ | More

## Function erase_regex_copy

boost::algorithm::erase_regex_copy — Erase regex algorithm.

## Synopsis

    // In header: <boost/algorithm/string/regex.hpp>

    template<typename OutputIteratorT, typename RangeT, typename CharT,
             typename RegexTraitsT>
      OutputIteratorT
      erase_regex_copy(OutputIteratorT Output, const RangeT & Input,
                       const basic_regex< CharT, RegexTraitsT > & Rx,
                       match_flag_type Flags = match_default);
    template<typename SequenceT, typename CharT, typename RegexTraitsT>
      SequenceT erase_regex_copy(const SequenceT & Input,
                                 const basic_regex< CharT, RegexTraitsT > & Rx,
                                 match_flag_type Flags = match_default);

## Description

Remove a substring matching given regex from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters: |
`Flags` | Regex options
`Input` | An input string
`Output` | An output iterator to which the result will be copied
`Rx` | A regular expression
Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input
Notes: | The second variant of this function provides the strong exception-safety guarantee